#!/bin/bash

if [ $# -ne 2 ]
then
  echo "Type the output name of the file to be created (e.g. simulation_chasing):"
  read FILENAME
  echo "Type the name of the directory with the .jpeg files"
  read PATH
else
  FILENAME=$1
  PATH=$2
fi

echo "We go to path: $PATH"
cd $PATH

/usr/bin/mencoder mf://*.jpeg -mf w=600:h=400:fps=9:type=jpg -ovc lavc -lavcopts vcodec=mpeg4 -o $FILENAME.avi

# ffmpeg -i $FILENAME.avi -ar 22050 -ab 56 -b 200000 -r 12 -f swf -s 600x400 -acodec mp3 -ac 1 $FILENAME.swf

/usr/bin/ffmpeg -i $FILENAME.avi -f swf -s 600x400 $FILENAME.swf

# ffmpeg -i $FILENAME.avi -r 30 -b 1200 $FILENAME.swf

