#!/bin/bash

# This file check_copyright.sh is created at Almende B.V. It is open-source software and part
# of the Common Hybrid Agent Platform (CHAP). A toolbox with a lot of open-source tools.
# Ranging from thread pools, and TCP/IP components to control architectures and learning
# algorithms. This software is published under the GNU Lesser General Public license, under
# version 3 (or later). You can find a version of the license on Debian (derived) systems at
# /usr/share/common-licenses/LGPL-3.

# It is not possible to add usage restrictions to a free open-source license. Nevertheless, we
# personally strongly object against this software used by the military, in the bio-industry, 
# for animal experimentation, or anything that violates the Universal Declaration of Human 
# Rights. This is, again, no usage restriction, it is a non-binding recommendation.

# Date 		Sep. 18, 2010
# Author	Anne van Rossum

# Copyright © 2010 Anne van Rossum <anne@almende.com>

sudo update-alternatives --remove-all srInterface
sudo update-alternatives --install /usr/lib/robot3d/components/libsrInterface.so srInterface /usr/lib/robot3d/components/libsrInterface.so.0 0
sudo update-alternatives --install /usr/lib/robot3d/components/libsrInterface.so srInterface $PWD/../build/src/srInterface/libsrInterface.so.0 2

echo "Use the following to adjust the default libsrInterface library"
sudo update-alternatives --config srInterface
