#!/bin/sh

# This file replace.sh is created at Almende B.V. It is open-source software and part
# of the Common Hybrid Agent Platform (CHAP). A toolbox with a lot of open-source tools.
# Ranging from thread pools, and TCP/IP components to control architectures and learning
# algorithms. This software is published under the GNU Lesser General Public license, under
# version 3 (or later). You can find a version of the license on Debian (derived) systems at
# /usr/share/common-licenses/LGPL-3.

# It is not possible to add usage restrictions to a free open-source license. Nevertheless, we
# personally strongly object against this software used by the military, in the bio-industry, 
# for animal experimentation, or anything that violates the Universal Declaration of Human 
# Rights. This is, again, no usage restriction, it is a non-binding recommendation.

# Copyright © 2010 Anne van Rossum

echo "Replaces a word by another in code files, html files, txt files, and cmake files except for the data/ directory"

sed -i 's/symbricator/Robot3D/g'  `find .. -name *.cpp -or -name *.h -or -name *.html -or -name *.txt -or -name *.cmake -not -wholename data/*`" > replace.sh

