
#include <srActuator/connectorUniKarl.h>

namespace srCore {

myConnector::myConnector(dtCore::RefPtr<BodyBase> body,
			float anchorX, float anchorY, float anchorZ,
			float axisX, float axisY, float axisZ, const std::string &name) :
				ConnectorBase()
{

	this->type = "ukaConnector";
	SetName(name);
	this->name = name;
	this->init(body, anchorX, anchorY, anchorZ, axisX, axisY, axisZ);

}


myConnector::~myConnector()
{
}

}
