/**
 * The SonarSensor shoots cones, not just rays. When a sonar sensor slowly turns around an object
 * it will probably see the object at all times, except in the case a reflection is occasionally
 * missed or reflected into another direction altogether. In the case of rays, an object will be 
 * visible and hidden depending on a ray intersecting with it or not. This is a type of noise that
 * does not exist in the real sonar sensor. Hence, implementing a sonarSensor using just rays does
 * not make sense.  
 */

